#!/bin/bash

display_usage() {
    echo -e "\nUsage: $0 [kubernetes_namespace] \n"
    echo -e "kubernetes_namespace : that core is deployed into. This is optional for 'default' namespace\n"
}

if [[ ( $1 == "--help") ||  $1 == "-h" ]]
    then
        display_usage
        exit 0
fi

openssl genrsa -out key.pem 2048
openssl rsa -in key.pem -outform PEM -pubout -out publickey.pem
openssl pkcs8 -topk8 -nocrypt -in key.pem -out privatekey.pem

mkdir c8y-secrets-core c8y-secrets-websocket

cp publickey.pem c8y-secrets-websocket
mv publickey.pem privatekey.pem c8y-secrets-core

kubectl delete secret c8y-relnotif-secret -n "${1-default}" --ignore-not-found=true
kubectl create secret generic c8y-messaging-secret --from-file=c8y-secrets-core -n "${1-default}"
kubectl create secret generic c8y-secrets --from-file=c8y-secrets-websocket -n c8y-messaging-service

rm -r key.pem c8y-secrets-core c8y-secrets-websocket

